[sword-devel] Building SWORD on ubuntu 12.04

Daniel Hughes trampster at gmail.com
Wed Feb 26 03:38:09 MST 2014

I am trying to build SWORD on ubuntu 12.04. I am a c# develop so have
no experience with building cpp/c applications

I downloaded the latest SWORD from

I then ran ./configure as per the instructions in the README

I then ran make, this generated the following error:
../include/utf8transliterator.h:41:28: fatal error: unicode/unistr.h:
No such file or directory

What do I need to do to build the latest sword? Alternatively is there
a PPA for ubuntu 12.04 which has the latest version? I found
https://launchpad.net/~pkgcrosswire/+archive/ppa but it doesn't have
version 1.7.2 the last update on it is nearly two years old.

Daniel Hughes

More information about the sword-devel mailing list